LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XLabeled Interface Reference

`import "XLabeled.idl";`

## Public Member Functions
void | setLabel ([in] XTitle xTitle)
XTitle | getLabel ()
void | setOwnAnchor ([in] ::com::sun::star::drawing::RectanglePoint aAnchorPoint)
::com::sun::star::drawing::RectanglePoint | getOwnAnchor ()
void | setLabelAnchor ([in] ::com::sun::star::drawing::RectanglePoint aAnchorPoint)
::com::sun::star::drawing::RectanglePoint | getLabelAnchor ()
void | setOffset ([in] sequence< double > aOffsetVector)
sequence< double > | getOffset ()

## Member Function Documentation

## ◆ getLabel()

XTitle getLabel | ( |  | ) |

## ◆ getLabelAnchor()

::com::sun::star::drawing::RectanglePoint getLabelAnchor | ( |  | ) |

## ◆ getOffset()

sequence< double > getOffset | ( |  | ) |

## ◆ getOwnAnchor()

::com::sun::star::drawing::RectanglePoint getOwnAnchor | ( |  | ) |

## ◆ setLabel()

void setLabel | ( | [in] XTitle | xTitle | ) |

## ◆ setLabelAnchor()

void setLabelAnchor | ( | [in] ::com::sun::star::drawing::RectanglePoint | aAnchorPoint | ) |

## ◆ setOffset()

void setOffset | ( | [in] sequence< double > | aOffsetVector | ) |

## ◆ setOwnAnchor()

void setOwnAnchor | ( | [in] ::com::sun::star::drawing::RectanglePoint | aAnchorPoint | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XLabeled.idl